%        
% -------------------------------------------------------------------------
% FaultAn -      
% e-mail: support@faultan.ru
% -------------------------------------------------------------------------
%  :
% Ra -    A  
% Rb -    B  
% Rc -    C  
% Rab -     A  B
% Rbc -     B  C
% Rca -     C  A
%  :
% A -     
% -------------------------------------------------------------------------
function A = A_fault(Ra,Rb,Rc,Rab,Rbc,Rca)

Y = [1/Ra+1/Rab+1/Rca            -1/Rab            -1/Rca;
               -1/Rab  1/Rb+1/Rab+1/Rbc            -1/Rbc;
               -1/Rca            -1/Rbc  1/Rc+1/Rca+1/Rbc];
A = [eye(3)  zeros(3);
          Y  eye(3)  ];
end